Activity log for bug #755842

Date Who What changed Old value New value Message
2011-04-09 21:56:36 Stephen Rees-Carter bug added bug
2011-04-13 14:16:01 tankdriver bug added subscriber tankdriver
2011-04-13 14:16:24 tankdriver unity: status New Confirmed
2011-04-14 06:07:54 tankdriver unity (Ubuntu): status New Confirmed
2011-05-01 16:33:46 Bernhard bug added subscriber Bernhard
2011-05-05 19:57:35 Muel Kiel bug added subscriber samsnotunix
2011-05-19 16:31:38 Yevgen Antimirov bug added subscriber Eugene Antimirov
2011-06-16 14:39:18 andreselsuave bug added subscriber andreselsuave
2011-06-16 23:46:58 Stephen Rees-Carter description Binary package hint: unity I had trouble describing this bug, so I have some screenshots to explain it. Steps to replicate 1) Put an application window hard against the side of your workspace without maximizing it Bottom right workspace: http://rc.id.au/f/images/1-window-move-bug.png (All workspaces: http://rc.id.au/f/images/2-window-move-bug.png) 2) Go to a different workspace which shares an edge with your application Top right workspace: http://rc.id.au/f/images/3-window-move-bug.png 3) Click on the application within the launcher, and the application will jump a little way into the next workspace Top right workspace after clicking on XChat and Gwibber launcher icons: http://rc.id.au/f/images/4-window-move-bug.png To show this more, I reset the windows to their original locations from #1, went into the bottom left workspace and clicked on Gwibber again: http://rc.id.au/f/images/5-window-move-bug.png I hope that makes sense and explains the bug. ProblemType: Bug DistroRelease: Ubuntu 11.04 Package: unity 3.8.4-0ubuntu1 ProcVersionSignature: Ubuntu 2.6.38-8.41-generic 2.6.38.2 Uname: Linux 2.6.38-8-generic x86_64 Architecture: amd64 CompizPlugins: [core,bailer,detection,composite,opengl,decor,mousepoll,vpswitch,regex,animation,snap,expo,move,compiztoolbox,place,grid,imgpng,gnomecompat,wall,ezoom,workarounds,staticswitcher,resize,fade,unitymtgrabhandles,scale,session,unityshell] CompositorRunning: compiz DRM.card0.VGA.1: status: disconnected enabled: disabled dpms: Off modes: edid-base64: Date: Sun Apr 10 07:38:31 2011 DistUpgraded: Log time: 2011-03-24 19:34:20.948953 DistroCodename: natty DistroVariant: ubuntu DkmsStatus: vboxhost, 4.0.4, 2.6.38-8-generic, x86_64: installed EcryptfsInUse: Yes GraphicsCard: nVidia Corporation NV43 [GeForce 6600 GT] [10de:0140] (rev a2) (prog-if 00 [VGA controller]) Subsystem: LeadTek Research Inc. Device [107d:2009] InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha amd64 (20110302) InstallationMedia_: Ubuntu 11.04 "Natty Narwhal" - Alpha amd64 (20110302) InstallationMedia__: Ubuntu 11.04 "Natty Narwhal" - Alpha amd64 (20110302) ProcEnviron: LANGUAGE=en_AU:en LANG=en_AU.UTF-8 SHELL=/bin/bash ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-8-generic root=UUID=ed596b92-82a9-404c-ab2a-0cbc73a2e563 ro quiet splash vt.handoff=7 ProcVersionSignature_: Ubuntu 2.6.38-8.41-generic 2.6.38.2 ProcVersionSignature__: Ubuntu 2.6.38-8.41-generic 2.6.38.2 Renderer: Unknown SourcePackage: unity UpgradeStatus: Upgraded to natty on 2011-03-24 (16 days ago) dmi.bios.date: 12/28/2004 dmi.bios.vendor: Award Software International, Inc. dmi.bios.version: F6 dmi.board.name: NF-CK804 dmi.board.vendor: Gigabyte Technology Co., Ltd. dmi.board.version: x.x dmi.chassis.type: 3 dmi.modalias: dmi:bvnAwardSoftwareInternational,Inc.:bvrF6:bd12/28/2004:svn:pn:pvr:rvnGigabyteTechnologyCo.,Ltd.:rnNF-CK804:rvrx.x:cvn:ct3:cvr: version.compiz: compiz 1:0.9.4+bzr20110407-0ubuntu2 version.ia32-libs: ia32-libs 20090808ubuntu11 version.libdrm2: libdrm2 2.4.23-1ubuntu6 version.libgl1-mesa-dri: libgl1-mesa-dri 7.10.1-0ubuntu3 version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental 7.10.1-0ubuntu3 version.libgl1-mesa-glx: libgl1-mesa-glx 7.10.1-0ubuntu3 version.xserver-xorg: xserver-xorg 1:7.6+4ubuntu3 version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.0-0ubuntu4 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.14.0-4ubuntu6 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20110107+b795ca6e-0ubuntu6 Binary package hint: unity The bug works as follows: 1. Put a non-maximized window against the border of your workspace 2. Switch to the adjoining workspace 3. Select the window in Unity Expected Behavior You are switched back to the workspace with the window What actually happens You stay in the current workspace AND the window is shifted slightly into the current workspace Making it impossible to use without manually switching to the workspace and dragging the window back to where it was Screenshoted instructions: 1) Put an application window hard against the side of your workspace without maximizing it     Bottom right workspace: http://rc.id.au/f/images/1-window-move-bug.png     (All workspaces: http://rc.id.au/f/images/2-window-move-bug.png) 2) Go to a different workspace which shares an edge with your application     Top right workspace: http://rc.id.au/f/images/3-window-move-bug.png 3) Click on the application within the launcher, and the application will jump a little way into the next workspace     Top right workspace after clicking on XChat and Gwibber launcher icons: http://rc.id.au/f/images/4-window-move-bug.png To show this more, I reset the windows to their original locations from #1, went into the bottom left workspace and clicked on Gwibber again: http://rc.id.au/f/images/5-window-move-bug.png I hope that makes sense and explains the bug. ProblemType: Bug DistroRelease: Ubuntu 11.04 Package: unity 3.8.4-0ubuntu1 ProcVersionSignature: Ubuntu 2.6.38-8.41-generic 2.6.38.2 Uname: Linux 2.6.38-8-generic x86_64 Architecture: amd64 CompizPlugins: [core,bailer,detection,composite,opengl,decor,mousepoll,vpswitch,regex,animation,snap,expo,move,compiztoolbox,place,grid,imgpng,gnomecompat,wall,ezoom,workarounds,staticswitcher,resize,fade,unitymtgrabhandles,scale,session,unityshell] CompositorRunning: compiz DRM.card0.VGA.1:  status: disconnected  enabled: disabled  dpms: Off  modes:  edid-base64: Date: Sun Apr 10 07:38:31 2011 DistUpgraded: Log time: 2011-03-24 19:34:20.948953 DistroCodename: natty DistroVariant: ubuntu DkmsStatus: vboxhost, 4.0.4, 2.6.38-8-generic, x86_64: installed EcryptfsInUse: Yes GraphicsCard:  nVidia Corporation NV43 [GeForce 6600 GT] [10de:0140] (rev a2) (prog-if 00 [VGA controller])    Subsystem: LeadTek Research Inc. Device [107d:2009] InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha amd64 (20110302) InstallationMedia_: Ubuntu 11.04 "Natty Narwhal" - Alpha amd64 (20110302) InstallationMedia__: Ubuntu 11.04 "Natty Narwhal" - Alpha amd64 (20110302) ProcEnviron:  LANGUAGE=en_AU:en  LANG=en_AU.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-8-generic root=UUID=ed596b92-82a9-404c-ab2a-0cbc73a2e563 ro quiet splash vt.handoff=7 ProcVersionSignature_: Ubuntu 2.6.38-8.41-generic 2.6.38.2 ProcVersionSignature__: Ubuntu 2.6.38-8.41-generic 2.6.38.2 Renderer: Unknown SourcePackage: unity UpgradeStatus: Upgraded to natty on 2011-03-24 (16 days ago) dmi.bios.date: 12/28/2004 dmi.bios.vendor: Award Software International, Inc. dmi.bios.version: F6 dmi.board.name: NF-CK804 dmi.board.vendor: Gigabyte Technology Co., Ltd. dmi.board.version: x.x dmi.chassis.type: 3 dmi.modalias: dmi:bvnAwardSoftwareInternational,Inc.:bvrF6:bd12/28/2004:svn:pn:pvr:rvnGigabyteTechnologyCo.,Ltd.:rnNF-CK804:rvrx.x:cvn:ct3:cvr: version.compiz: compiz 1:0.9.4+bzr20110407-0ubuntu2 version.ia32-libs: ia32-libs 20090808ubuntu11 version.libdrm2: libdrm2 2.4.23-1ubuntu6 version.libgl1-mesa-dri: libgl1-mesa-dri 7.10.1-0ubuntu3 version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental 7.10.1-0ubuntu3 version.libgl1-mesa-glx: libgl1-mesa-glx 7.10.1-0ubuntu3 version.xserver-xorg: xserver-xorg 1:7.6+4ubuntu3 version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.0-0ubuntu4 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.14.0-4ubuntu6 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20110107+b795ca6e-0ubuntu6
2011-07-05 20:35:21 William Ranvaud bug added subscriber William Ranvaud
2011-07-05 23:37:33 Pedro Villavicencio unity (Ubuntu): importance Undecided Medium
2011-07-05 23:37:36 Pedro Villavicencio unity (Ubuntu): status Confirmed Triaged
2011-07-10 11:06:24 Marcel Stimberg bug added subscriber Marcel Stimberg
2011-07-20 17:41:07 Didier Roche unity: status Confirmed Triaged
2011-08-01 05:52:43 Alex Thompson bug added subscriber Alex Thompson
2011-09-18 20:10:20 Khairul Aizat Kamarudzzaman bug added subscriber Khairul Aizat Kamarudzzaman
2011-10-18 12:29:19 yannack bug added subscriber yannack
2011-11-21 04:11:12 Aibara Iduas bug added subscriber Aibara Iduas
2011-11-26 15:08:47 Tuomas Suutari bug added subscriber Tuomas Suutari
2011-11-30 17:03:15 ric silva bug added subscriber ric silva
2011-12-16 00:52:03 Ben Gamari bug added subscriber Ben Gamari
2011-12-22 21:11:57 Mattias Holmlund bug added subscriber Mattias Holmlund
2012-01-06 15:18:53 TomasHnyk bug added subscriber TomasHnyk
2012-01-09 12:11:41 Yuriy Kulikov attachment added Contains instructions to reproduce the issue https://bugs.launchpad.net/ubuntu/+source/unity/+bug/755842/+attachment/2664091/+files/Unity%20bug.xcf
2012-01-09 12:13:53 Yuriy Kulikov bug added subscriber Yuriy Kulikov
2012-02-22 16:10:38 Burkart Lingner bug added subscriber Burkart Lingner
2012-02-22 21:20:51 Stephen Rees-Carter marked as duplicate 834248
2012-02-23 14:39:14 Robie Basak bug added subscriber Robie Basak
2012-03-13 17:58:22 Jeremy Wolcott bug added subscriber Jeremy Wolcott
2012-04-27 05:05:56 Daniel van Vugt removed duplicate marker 834248
2012-04-27 05:06:52 Daniel van Vugt affects unity compiz-core
2012-04-27 05:06:52 Daniel van Vugt compiz-core: importance Undecided Low
2012-04-27 05:06:52 Daniel van Vugt compiz-core: status Triaged In Progress
2012-04-27 05:07:51 Daniel van Vugt affects unity (Ubuntu) compiz (Ubuntu)
2012-04-27 05:07:51 Daniel van Vugt compiz (Ubuntu): importance Medium Low
2012-04-27 05:08:10 Daniel van Vugt compiz (Ubuntu): status Triaged In Progress
2012-04-27 05:08:23 Daniel van Vugt compiz-core: assignee Sam Spilsbury (smspillaz)
2012-04-27 05:08:27 Daniel van Vugt compiz-core: milestone 0.9.8.0
2012-04-27 05:08:50 Daniel van Vugt description Binary package hint: unity The bug works as follows: 1. Put a non-maximized window against the border of your workspace 2. Switch to the adjoining workspace 3. Select the window in Unity Expected Behavior You are switched back to the workspace with the window What actually happens You stay in the current workspace AND the window is shifted slightly into the current workspace Making it impossible to use without manually switching to the workspace and dragging the window back to where it was Screenshoted instructions: 1) Put an application window hard against the side of your workspace without maximizing it     Bottom right workspace: http://rc.id.au/f/images/1-window-move-bug.png     (All workspaces: http://rc.id.au/f/images/2-window-move-bug.png) 2) Go to a different workspace which shares an edge with your application     Top right workspace: http://rc.id.au/f/images/3-window-move-bug.png 3) Click on the application within the launcher, and the application will jump a little way into the next workspace     Top right workspace after clicking on XChat and Gwibber launcher icons: http://rc.id.au/f/images/4-window-move-bug.png To show this more, I reset the windows to their original locations from #1, went into the bottom left workspace and clicked on Gwibber again: http://rc.id.au/f/images/5-window-move-bug.png I hope that makes sense and explains the bug. ProblemType: Bug DistroRelease: Ubuntu 11.04 Package: unity 3.8.4-0ubuntu1 ProcVersionSignature: Ubuntu 2.6.38-8.41-generic 2.6.38.2 Uname: Linux 2.6.38-8-generic x86_64 Architecture: amd64 CompizPlugins: [core,bailer,detection,composite,opengl,decor,mousepoll,vpswitch,regex,animation,snap,expo,move,compiztoolbox,place,grid,imgpng,gnomecompat,wall,ezoom,workarounds,staticswitcher,resize,fade,unitymtgrabhandles,scale,session,unityshell] CompositorRunning: compiz DRM.card0.VGA.1:  status: disconnected  enabled: disabled  dpms: Off  modes:  edid-base64: Date: Sun Apr 10 07:38:31 2011 DistUpgraded: Log time: 2011-03-24 19:34:20.948953 DistroCodename: natty DistroVariant: ubuntu DkmsStatus: vboxhost, 4.0.4, 2.6.38-8-generic, x86_64: installed EcryptfsInUse: Yes GraphicsCard:  nVidia Corporation NV43 [GeForce 6600 GT] [10de:0140] (rev a2) (prog-if 00 [VGA controller])    Subsystem: LeadTek Research Inc. Device [107d:2009] InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha amd64 (20110302) InstallationMedia_: Ubuntu 11.04 "Natty Narwhal" - Alpha amd64 (20110302) InstallationMedia__: Ubuntu 11.04 "Natty Narwhal" - Alpha amd64 (20110302) ProcEnviron:  LANGUAGE=en_AU:en  LANG=en_AU.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-8-generic root=UUID=ed596b92-82a9-404c-ab2a-0cbc73a2e563 ro quiet splash vt.handoff=7 ProcVersionSignature_: Ubuntu 2.6.38-8.41-generic 2.6.38.2 ProcVersionSignature__: Ubuntu 2.6.38-8.41-generic 2.6.38.2 Renderer: Unknown SourcePackage: unity UpgradeStatus: Upgraded to natty on 2011-03-24 (16 days ago) dmi.bios.date: 12/28/2004 dmi.bios.vendor: Award Software International, Inc. dmi.bios.version: F6 dmi.board.name: NF-CK804 dmi.board.vendor: Gigabyte Technology Co., Ltd. dmi.board.version: x.x dmi.chassis.type: 3 dmi.modalias: dmi:bvnAwardSoftwareInternational,Inc.:bvrF6:bd12/28/2004:svn:pn:pvr:rvnGigabyteTechnologyCo.,Ltd.:rnNF-CK804:rvrx.x:cvn:ct3:cvr: version.compiz: compiz 1:0.9.4+bzr20110407-0ubuntu2 version.ia32-libs: ia32-libs 20090808ubuntu11 version.libdrm2: libdrm2 2.4.23-1ubuntu6 version.libgl1-mesa-dri: libgl1-mesa-dri 7.10.1-0ubuntu3 version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental 7.10.1-0ubuntu3 version.libgl1-mesa-glx: libgl1-mesa-glx 7.10.1-0ubuntu3 version.xserver-xorg: xserver-xorg 1:7.6+4ubuntu3 version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.0-0ubuntu4 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.14.0-4ubuntu6 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20110107+b795ca6e-0ubuntu6 TESTCASE 1: 1. Move a window to the far right workspace so that it overlaps the right side of the screen a little. 2. Switch to the far left workspace where you can see a little of the overlapping window. 3. Alt-Tab to the window. Observed: Window jumps to being entirely on the far left workspace. Expected: Window stays where it was. TESTCASE 2: 1. Move a window to the far left workspace so that it overlaps the left side of the screen a little. 2. Switch to the far right workspace where you can see a little of the overlapping window. 3. Alt-Tab to the window. Observed: Window jumps to being entirely on the far left workspace. Expected: Window stays where it was. ORIGINAL DESCRIPTION: Binary package hint: unity The bug works as follows: 1. Put a non-maximized window against the border of your workspace 2. Switch to the adjoining workspace 3. Select the window in Unity Expected Behavior    You are switched back to the workspace with the window What actually happens    You stay in the current workspace AND the window is shifted slightly into the current workspace    Making it impossible to use without manually switching to the workspace and dragging the window back to where it was Screenshoted instructions: 1) Put an application window hard against the side of your workspace without maximizing it     Bottom right workspace: http://rc.id.au/f/images/1-window-move-bug.png     (All workspaces: http://rc.id.au/f/images/2-window-move-bug.png) 2) Go to a different workspace which shares an edge with your application     Top right workspace: http://rc.id.au/f/images/3-window-move-bug.png 3) Click on the application within the launcher, and the application will jump a little way into the next workspace     Top right workspace after clicking on XChat and Gwibber launcher icons: http://rc.id.au/f/images/4-window-move-bug.png To show this more, I reset the windows to their original locations from #1, went into the bottom left workspace and clicked on Gwibber again: http://rc.id.au/f/images/5-window-move-bug.png I hope that makes sense and explains the bug. ProblemType: Bug DistroRelease: Ubuntu 11.04 Package: unity 3.8.4-0ubuntu1 ProcVersionSignature: Ubuntu 2.6.38-8.41-generic 2.6.38.2 Uname: Linux 2.6.38-8-generic x86_64 Architecture: amd64 CompizPlugins: [core,bailer,detection,composite,opengl,decor,mousepoll,vpswitch,regex,animation,snap,expo,move,compiztoolbox,place,grid,imgpng,gnomecompat,wall,ezoom,workarounds,staticswitcher,resize,fade,unitymtgrabhandles,scale,session,unityshell] CompositorRunning: compiz DRM.card0.VGA.1:  status: disconnected  enabled: disabled  dpms: Off  modes:  edid-base64: Date: Sun Apr 10 07:38:31 2011 DistUpgraded: Log time: 2011-03-24 19:34:20.948953 DistroCodename: natty DistroVariant: ubuntu DkmsStatus: vboxhost, 4.0.4, 2.6.38-8-generic, x86_64: installed EcryptfsInUse: Yes GraphicsCard:  nVidia Corporation NV43 [GeForce 6600 GT] [10de:0140] (rev a2) (prog-if 00 [VGA controller])    Subsystem: LeadTek Research Inc. Device [107d:2009] InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha amd64 (20110302) InstallationMedia_: Ubuntu 11.04 "Natty Narwhal" - Alpha amd64 (20110302) InstallationMedia__: Ubuntu 11.04 "Natty Narwhal" - Alpha amd64 (20110302) ProcEnviron:  LANGUAGE=en_AU:en  LANG=en_AU.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-8-generic root=UUID=ed596b92-82a9-404c-ab2a-0cbc73a2e563 ro quiet splash vt.handoff=7 ProcVersionSignature_: Ubuntu 2.6.38-8.41-generic 2.6.38.2 ProcVersionSignature__: Ubuntu 2.6.38-8.41-generic 2.6.38.2 Renderer: Unknown SourcePackage: unity UpgradeStatus: Upgraded to natty on 2011-03-24 (16 days ago) dmi.bios.date: 12/28/2004 dmi.bios.vendor: Award Software International, Inc. dmi.bios.version: F6 dmi.board.name: NF-CK804 dmi.board.vendor: Gigabyte Technology Co., Ltd. dmi.board.version: x.x dmi.chassis.type: 3 dmi.modalias: dmi:bvnAwardSoftwareInternational,Inc.:bvrF6:bd12/28/2004:svn:pn:pvr:rvnGigabyteTechnologyCo.,Ltd.:rnNF-CK804:rvrx.x:cvn:ct3:cvr: version.compiz: compiz 1:0.9.4+bzr20110407-0ubuntu2 version.ia32-libs: ia32-libs 20090808ubuntu11 version.libdrm2: libdrm2 2.4.23-1ubuntu6 version.libgl1-mesa-dri: libgl1-mesa-dri 7.10.1-0ubuntu3 version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental 7.10.1-0ubuntu3 version.libgl1-mesa-glx: libgl1-mesa-glx 7.10.1-0ubuntu3 version.xserver-xorg: xserver-xorg 1:7.6+4ubuntu3 version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.0-0ubuntu4 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.14.0-4ubuntu6 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20110107+b795ca6e-0ubuntu6
2012-04-27 05:09:16 Daniel van Vugt branch linked lp:~smspillaz/compiz-core/compiz-core.fix_939228
2012-04-27 05:09:55 Daniel van Vugt compiz (Ubuntu): status In Progress Triaged
2012-04-27 06:12:45 Daniel van Vugt compiz-core: importance Low Medium
2012-04-27 06:12:49 Daniel van Vugt compiz (Ubuntu): importance Low Medium
2012-04-27 07:08:05 Daniel van Vugt bug task added compiz-plugins-main
2012-04-27 07:08:18 Daniel van Vugt compiz-plugins-main: status New Confirmed
2012-04-27 07:08:22 Daniel van Vugt compiz-plugins-main: importance Undecided Medium
2012-04-27 07:08:37 Daniel van Vugt bug task added compiz-wall-plugin
2012-04-27 07:08:54 Daniel van Vugt compiz-wall-plugin: importance Undecided Medium
2012-04-27 07:08:54 Daniel van Vugt compiz-wall-plugin: status New In Progress
2012-04-27 07:08:54 Daniel van Vugt compiz-wall-plugin: assignee Sam Spilsbury (smspillaz)
2012-04-27 07:09:07 Daniel van Vugt compiz-plugins-main: milestone 0.9.7.4
2012-04-27 07:09:26 Daniel van Vugt branch linked lp:~smspillaz/compiz-wall-plugin/compiz-wall-plugin.fix_939228
2012-04-27 12:44:37 Chris Lasher bug added subscriber Chris Lasher
2012-05-01 08:52:50 Simon IJskes bug added subscriber Simon IJskes
2012-05-07 01:10:34 Lucian Branescu Mihaila bug added subscriber Lucian Branescu Mihaila
2012-05-09 01:53:05 Daniel van Vugt compiz-wall-plugin: status In Progress Fix Committed
2012-05-09 01:53:20 Launchpad Janitor branch linked lp:compiz-wall-plugin
2012-05-09 01:58:18 Launchpad Janitor branch linked lp:compiz-plugins-main
2012-05-09 01:58:20 Daniel van Vugt compiz-plugins-main: status Confirmed Fix Committed
2012-05-18 08:22:44 Sam Spilsbury compiz: importance Undecided Medium
2012-05-18 08:22:44 Sam Spilsbury compiz: status New In Progress
2012-05-18 08:22:44 Sam Spilsbury compiz: assignee Sam Spilsbury (smspillaz)
2012-05-18 23:59:31 Michael White bug added subscriber Michael White
2012-05-21 07:26:32 Daniel van Vugt bug task deleted compiz-core
2012-05-21 07:26:38 Daniel van Vugt compiz: milestone 0.9.8.0
2012-05-21 07:27:38 Daniel van Vugt compiz: status In Progress Fix Committed
2012-05-23 11:46:34 Marc Deslauriers nominated for series Ubuntu Precise
2012-05-23 11:46:34 Marc Deslauriers bug task added compiz (Ubuntu Precise)
2012-05-23 11:46:34 Marc Deslauriers nominated for series Ubuntu Quantal
2012-05-23 11:46:34 Marc Deslauriers bug task added compiz (Ubuntu Quantal)
2012-05-23 11:46:45 Marc Deslauriers compiz (Ubuntu Precise): status New Triaged
2012-05-23 11:46:47 Marc Deslauriers compiz (Ubuntu Precise): importance Undecided Medium
2012-06-01 20:38:50 Marc Deslauriers compiz (Ubuntu Precise): milestone ubuntu-12.04.1
2012-06-27 03:36:24 Alex Lusco bug added subscriber Alex Lusco
2012-07-07 13:50:12 Nathan Allen bug added subscriber Nathan Allen
2012-07-08 13:34:44 Bence Lukács bug added subscriber Bence Lukács
2012-07-18 12:32:45 Launchpad Janitor branch linked lp:~sil2100/compiz-plugins-main/precise_SRU
2012-07-24 20:06:28 androith bug added subscriber androith
2012-07-26 14:43:31 Sebastien Bacher affects compiz (Ubuntu Precise) compiz-plugins-main (Ubuntu Precise)
2012-07-26 14:44:12 Sebastien Bacher compiz-plugins-main (Ubuntu Precise): assignee Łukasz Zemczak (sil2100)
2012-08-01 08:44:29 lorty bug added subscriber lorty
2012-08-09 12:22:25 zzarko bug added subscriber zzarko
2012-08-09 14:38:36 Mario Vukelic bug added subscriber Mario Vukelic
2012-08-16 02:35:12 Marc Deslauriers tags amd64 apport-bug compiz-0.9 natty running-unity ubuntu amd64 apport-bug compiz-0.9 natty rls-q-incoming running-unity ubuntu
2012-08-26 02:06:06 Stéphane Graber compiz-plugins-main (Ubuntu Precise): milestone ubuntu-12.04.1 ubuntu-12.04.2
2012-08-27 08:03:09 Daniel van Vugt compiz: status Fix Committed Fix Released
2012-08-27 09:57:30 Jacob Williams bug added subscriber Jacob Williams
2012-09-03 01:46:39 Daniel van Vugt bug task added compiz (Ubuntu)
2012-09-03 01:46:53 Daniel van Vugt bug task deleted compiz (Ubuntu Precise)
2012-09-03 01:47:02 Daniel van Vugt bug task deleted compiz-plugins-main (Ubuntu Quantal)
2012-09-03 01:47:11 Daniel van Vugt compiz (Ubuntu Quantal): status New Fix Released
2012-09-10 17:57:55 Marc Deslauriers compiz (Ubuntu Quantal): status Fix Released Triaged
2012-09-11 15:04:55 Omer Akram compiz (Ubuntu Quantal): importance Undecided Medium
2012-09-12 09:51:23 Omer Akram tags amd64 apport-bug compiz-0.9 natty rls-q-incoming running-unity ubuntu amd64 apport-bug compiz-0.9 natty pspriority rls-q-incoming running-unity ubuntu
2012-09-12 10:13:02 Paweł Pacana bug added subscriber Paweł Pacana
2012-09-13 02:37:20 Tim Penhey compiz (Ubuntu Quantal): status Triaged Fix Released
2012-09-13 02:40:05 Daniel van Vugt compiz-plugins-main (Ubuntu): assignee Łukasz Zemczak (sil2100)
2012-09-13 16:08:43 Muel Kiel removed subscriber Muel Kiel
2012-09-14 01:19:59 P. Mohseni bug added subscriber P. Mohseni
2012-09-16 23:15:27 Willem van Gerven bug added subscriber Willem van Gerven
2012-10-15 07:08:50 kostek bug added subscriber kostek
2012-10-19 20:21:02 andreselsuave removed subscriber andreselsuave
2012-10-24 16:28:51 Jani Uusitalo bug added subscriber Jani Uusitalo
2012-10-25 12:02:40 whitakma bug added subscriber whitakma
2012-11-29 03:48:06 Daniel van Vugt compiz-plugins-main: assignee Sam Spilsbury (smspillaz)
2013-01-27 10:52:56 Roquentin bug added subscriber Antonio Roquentin
2013-01-29 08:53:13 Peter Mendham bug added subscriber Peter Mendham
2013-02-13 18:17:31 Colin Watson compiz-plugins-main (Ubuntu Precise): milestone ubuntu-12.04.2 ubuntu-12.04.3
2013-02-25 09:06:35 Timo Jyrinki compiz-plugins-main (Ubuntu): assignee Łukasz Zemczak (sil2100)
2013-02-25 09:07:03 Timo Jyrinki compiz-plugins-main (Ubuntu): importance Medium Undecided
2013-02-25 09:07:12 Timo Jyrinki compiz-plugins-main (Ubuntu): status Triaged Invalid
2013-02-25 09:07:20 Timo Jyrinki compiz-plugins-main (Ubuntu Precise): assignee Łukasz Zemczak (sil2100) Timo Jyrinki (timo-jyrinki)
2013-02-25 14:00:03 Timo Jyrinki description TESTCASE 1: 1. Move a window to the far right workspace so that it overlaps the right side of the screen a little. 2. Switch to the far left workspace where you can see a little of the overlapping window. 3. Alt-Tab to the window. Observed: Window jumps to being entirely on the far left workspace. Expected: Window stays where it was. TESTCASE 2: 1. Move a window to the far left workspace so that it overlaps the left side of the screen a little. 2. Switch to the far right workspace where you can see a little of the overlapping window. 3. Alt-Tab to the window. Observed: Window jumps to being entirely on the far left workspace. Expected: Window stays where it was. ORIGINAL DESCRIPTION: Binary package hint: unity The bug works as follows: 1. Put a non-maximized window against the border of your workspace 2. Switch to the adjoining workspace 3. Select the window in Unity Expected Behavior    You are switched back to the workspace with the window What actually happens    You stay in the current workspace AND the window is shifted slightly into the current workspace    Making it impossible to use without manually switching to the workspace and dragging the window back to where it was Screenshoted instructions: 1) Put an application window hard against the side of your workspace without maximizing it     Bottom right workspace: http://rc.id.au/f/images/1-window-move-bug.png     (All workspaces: http://rc.id.au/f/images/2-window-move-bug.png) 2) Go to a different workspace which shares an edge with your application     Top right workspace: http://rc.id.au/f/images/3-window-move-bug.png 3) Click on the application within the launcher, and the application will jump a little way into the next workspace     Top right workspace after clicking on XChat and Gwibber launcher icons: http://rc.id.au/f/images/4-window-move-bug.png To show this more, I reset the windows to their original locations from #1, went into the bottom left workspace and clicked on Gwibber again: http://rc.id.au/f/images/5-window-move-bug.png I hope that makes sense and explains the bug. ProblemType: Bug DistroRelease: Ubuntu 11.04 Package: unity 3.8.4-0ubuntu1 ProcVersionSignature: Ubuntu 2.6.38-8.41-generic 2.6.38.2 Uname: Linux 2.6.38-8-generic x86_64 Architecture: amd64 CompizPlugins: [core,bailer,detection,composite,opengl,decor,mousepoll,vpswitch,regex,animation,snap,expo,move,compiztoolbox,place,grid,imgpng,gnomecompat,wall,ezoom,workarounds,staticswitcher,resize,fade,unitymtgrabhandles,scale,session,unityshell] CompositorRunning: compiz DRM.card0.VGA.1:  status: disconnected  enabled: disabled  dpms: Off  modes:  edid-base64: Date: Sun Apr 10 07:38:31 2011 DistUpgraded: Log time: 2011-03-24 19:34:20.948953 DistroCodename: natty DistroVariant: ubuntu DkmsStatus: vboxhost, 4.0.4, 2.6.38-8-generic, x86_64: installed EcryptfsInUse: Yes GraphicsCard:  nVidia Corporation NV43 [GeForce 6600 GT] [10de:0140] (rev a2) (prog-if 00 [VGA controller])    Subsystem: LeadTek Research Inc. Device [107d:2009] InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha amd64 (20110302) InstallationMedia_: Ubuntu 11.04 "Natty Narwhal" - Alpha amd64 (20110302) InstallationMedia__: Ubuntu 11.04 "Natty Narwhal" - Alpha amd64 (20110302) ProcEnviron:  LANGUAGE=en_AU:en  LANG=en_AU.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-8-generic root=UUID=ed596b92-82a9-404c-ab2a-0cbc73a2e563 ro quiet splash vt.handoff=7 ProcVersionSignature_: Ubuntu 2.6.38-8.41-generic 2.6.38.2 ProcVersionSignature__: Ubuntu 2.6.38-8.41-generic 2.6.38.2 Renderer: Unknown SourcePackage: unity UpgradeStatus: Upgraded to natty on 2011-03-24 (16 days ago) dmi.bios.date: 12/28/2004 dmi.bios.vendor: Award Software International, Inc. dmi.bios.version: F6 dmi.board.name: NF-CK804 dmi.board.vendor: Gigabyte Technology Co., Ltd. dmi.board.version: x.x dmi.chassis.type: 3 dmi.modalias: dmi:bvnAwardSoftwareInternational,Inc.:bvrF6:bd12/28/2004:svn:pn:pvr:rvnGigabyteTechnologyCo.,Ltd.:rnNF-CK804:rvrx.x:cvn:ct3:cvr: version.compiz: compiz 1:0.9.4+bzr20110407-0ubuntu2 version.ia32-libs: ia32-libs 20090808ubuntu11 version.libdrm2: libdrm2 2.4.23-1ubuntu6 version.libgl1-mesa-dri: libgl1-mesa-dri 7.10.1-0ubuntu3 version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental 7.10.1-0ubuntu3 version.libgl1-mesa-glx: libgl1-mesa-glx 7.10.1-0ubuntu3 version.xserver-xorg: xserver-xorg 1:7.6+4ubuntu3 version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.0-0ubuntu4 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.14.0-4ubuntu6 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20110107+b795ca6e-0ubuntu6 [Impact] Windows get forcefully moved fully to the current workspace when they are partially overlapping the workspace and then alt-tabbed to. [Test Case] TESTCASE 1: 1. Move a window to the far right workspace so that it overlaps the right side of the screen a little. 2. Switch to the far left workspace where you can see a little of the overlapping window. 3. Alt-Tab to the window. Observed: Window jumps to being entirely on the far left workspace. Expected: Window stays where it was. TESTCASE 2: 1. Move a window to the far left workspace so that it overlaps the left side of the screen a little. 2. Switch to the far right workspace where you can see a little of the overlapping window. 3. Alt-Tab to the window. Observed: Window jumps to being entirely on the far left workspace. Expected: Window stays where it was. [Regression Potential] Wall plugin / overlapping window behavior on multiple workspaces in general. --- ORIGINAL DESCRIPTION: Binary package hint: unity The bug works as follows: 1. Put a non-maximized window against the border of your workspace 2. Switch to the adjoining workspace 3. Select the window in Unity Expected Behavior    You are switched back to the workspace with the window What actually happens    You stay in the current workspace AND the window is shifted slightly into the current workspace    Making it impossible to use without manually switching to the workspace and dragging the window back to where it was Screenshoted instructions: 1) Put an application window hard against the side of your workspace without maximizing it     Bottom right workspace: http://rc.id.au/f/images/1-window-move-bug.png     (All workspaces: http://rc.id.au/f/images/2-window-move-bug.png) 2) Go to a different workspace which shares an edge with your application     Top right workspace: http://rc.id.au/f/images/3-window-move-bug.png 3) Click on the application within the launcher, and the application will jump a little way into the next workspace     Top right workspace after clicking on XChat and Gwibber launcher icons: http://rc.id.au/f/images/4-window-move-bug.png To show this more, I reset the windows to their original locations from #1, went into the bottom left workspace and clicked on Gwibber again: http://rc.id.au/f/images/5-window-move-bug.png I hope that makes sense and explains the bug. ProblemType: Bug DistroRelease: Ubuntu 11.04 Package: unity 3.8.4-0ubuntu1 ProcVersionSignature: Ubuntu 2.6.38-8.41-generic 2.6.38.2 Uname: Linux 2.6.38-8-generic x86_64 Architecture: amd64 CompizPlugins: [core,bailer,detection,composite,opengl,decor,mousepoll,vpswitch,regex,animation,snap,expo,move,compiztoolbox,place,grid,imgpng,gnomecompat,wall,ezoom,workarounds,staticswitcher,resize,fade,unitymtgrabhandles,scale,session,unityshell] CompositorRunning: compiz DRM.card0.VGA.1:  status: disconnected  enabled: disabled  dpms: Off  modes:  edid-base64: Date: Sun Apr 10 07:38:31 2011 DistUpgraded: Log time: 2011-03-24 19:34:20.948953 DistroCodename: natty DistroVariant: ubuntu DkmsStatus: vboxhost, 4.0.4, 2.6.38-8-generic, x86_64: installed EcryptfsInUse: Yes GraphicsCard:  nVidia Corporation NV43 [GeForce 6600 GT] [10de:0140] (rev a2) (prog-if 00 [VGA controller])    Subsystem: LeadTek Research Inc. Device [107d:2009] InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha amd64 (20110302) InstallationMedia_: Ubuntu 11.04 "Natty Narwhal" - Alpha amd64 (20110302) InstallationMedia__: Ubuntu 11.04 "Natty Narwhal" - Alpha amd64 (20110302) ProcEnviron:  LANGUAGE=en_AU:en  LANG=en_AU.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-8-generic root=UUID=ed596b92-82a9-404c-ab2a-0cbc73a2e563 ro quiet splash vt.handoff=7 ProcVersionSignature_: Ubuntu 2.6.38-8.41-generic 2.6.38.2 ProcVersionSignature__: Ubuntu 2.6.38-8.41-generic 2.6.38.2 Renderer: Unknown SourcePackage: unity UpgradeStatus: Upgraded to natty on 2011-03-24 (16 days ago) dmi.bios.date: 12/28/2004 dmi.bios.vendor: Award Software International, Inc. dmi.bios.version: F6 dmi.board.name: NF-CK804 dmi.board.vendor: Gigabyte Technology Co., Ltd. dmi.board.version: x.x dmi.chassis.type: 3 dmi.modalias: dmi:bvnAwardSoftwareInternational,Inc.:bvrF6:bd12/28/2004:svn:pn:pvr:rvnGigabyteTechnologyCo.,Ltd.:rnNF-CK804:rvrx.x:cvn:ct3:cvr: version.compiz: compiz 1:0.9.4+bzr20110407-0ubuntu2 version.ia32-libs: ia32-libs 20090808ubuntu11 version.libdrm2: libdrm2 2.4.23-1ubuntu6 version.libgl1-mesa-dri: libgl1-mesa-dri 7.10.1-0ubuntu3 version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental 7.10.1-0ubuntu3 version.libgl1-mesa-glx: libgl1-mesa-glx 7.10.1-0ubuntu3 version.xserver-xorg: xserver-xorg 1:7.6+4ubuntu3 version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.0-0ubuntu4 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.14.0-4ubuntu6 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20110107+b795ca6e-0ubuntu6
2013-02-28 09:31:36 Launchpad Janitor branch linked lp:~timo-jyrinki/compiz-plugins-main/fix_755842
2013-03-12 08:40:50 Timo Jyrinki bug added subscriber Ubuntu Stable Release Updates Team
2013-03-13 11:23:02 Łukasz Zemczak compiz-plugins-main (Ubuntu Precise): status Triaged In Progress
2013-03-13 12:20:43 Victor Zamanian bug added subscriber Victor Zamanian
2013-06-04 08:03:07 Timo Jyrinki branch linked lp:~timo-jyrinki/ubuntu/precise/compiz-plugins-main/fix_755842
2013-06-19 17:46:02 Steve Langasek compiz-plugins-main (Ubuntu Precise): status In Progress Fix Committed
2013-06-19 17:46:09 Steve Langasek bug added subscriber SRU Verification
2013-06-19 17:46:13 Steve Langasek tags amd64 apport-bug compiz-0.9 natty pspriority rls-q-incoming running-unity ubuntu amd64 apport-bug compiz-0.9 natty pspriority rls-q-incoming running-unity ubuntu verification-needed
2013-06-19 18:42:34 Launchpad Janitor branch linked lp:ubuntu/precise-proposed/compiz-plugins-main
2013-06-19 19:40:12 Victor Zamanian removed subscriber Victor Zamanian
2013-07-01 12:50:52 Jani Uusitalo tags amd64 apport-bug compiz-0.9 natty pspriority rls-q-incoming running-unity ubuntu verification-needed amd64 apport-bug compiz-0.9 natty pspriority rls-q-incoming running-unity ubuntu verification-done
2013-07-03 11:57:53 Colin Watson removed subscriber Ubuntu Stable Release Updates Team
2013-07-03 12:13:37 Launchpad Janitor compiz-plugins-main (Ubuntu Precise): status Fix Committed Fix Released
2013-10-18 07:34:26 Vladimir Rutsky bug added subscriber Vladimir Rutsky
2014-02-23 20:45:29 P. Mohseni removed subscriber P. Mohseni
2017-09-02 14:47:01 Nathan Allen removed subscriber Nathan Allen
2018-11-26 23:18:42 Mario Vukelic removed subscriber Mario Vukelic